
Redmine - Defect #3627

Can't search for numbers e.g. error codes

2009-07-16 19:08 - Chris Grieger

Status: Closed Start date: 2009-07-16

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 0.8.4

Description

Searching for an error code (e.g. '403') brings you to the issue #403.

This error occurs in the current devel version r2918 as well as the version running on this website.

It would be better to only get redirected to an issue by entering #<issueid> or issue:<issueid>

Regards,

Chris

Related issues:

Related to Redmine - Feature #2350: Support redmine link syntax in search box New 2008-12-17

History

#1 - 2009-07-16 20:26 - Chris Grieger

- File search_redirect_issue_r2819.patch added

I've attached a patch which changes the behavior of the search function.

It only redirects to the issue if the search string starts with '#' or 'issue:'.

#2 - 2009-07-17 01:09 - Mischa The Evil

I've related #2350 to this issue...

#3 - 2009-07-18 09:39 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

You can use double quotes to search for a number. Eg: "403"

http://www.redmine.org/search/index/redmine?q=%22403%22

Files

search_redirect_issue_r2819.patch 804 Bytes 2009-07-16 Chris Grieger
